Groovy Documentation

## org.codehaus.groovy.tools
[Java] Class Compiler

    java.lang.Object
      org.codehaus.groovy.tools.Compiler

    public class Compiler
    extends java.lang.Object

A convenience front end for getting standard compilations done. All compile() routines generate classes to the filesystem.

Authors:
  Chris Poirier

Version:
  \$Id\$

Field Summary
`static Compiler` | `DEFAULT`

Constructor Summary
`Compiler()` Initializes the Compiler with default configuration.
`Compiler(CompilerConfiguration configuration)` Initializes the Compiler with the specified configuration.

Method Summary
`void` | `compile(java.io.File file)` Compiles a single File.
`void` | `compile(java.io.File[] files)` Compiles a series of Files.
`void` | `compile(java.lang.String[] files)` Compiles a series of Files from file names.
`void` | `compile(java.lang.String name, java.lang.String code)` Compiles a string of code.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT

    public static final Compiler DEFAULT

Constructor Detail

### Compiler

    public Compiler()

  Initializes the Compiler with default configuration.

### Compiler

    public Compiler(CompilerConfiguration configuration)

  Initializes the Compiler with the specified configuration.

Method Detail

### compile

    public void compile(java.io.File file)

  Compiles a single File.

### compile

    public void compile(java.io.File[] files)

  Compiles a series of Files.

### compile

    public void compile(java.lang.String[] files)

  Compiles a series of Files from file names.

### compile

    public void compile(java.lang.String name, java.lang.String code)

  Compiles a string of code.

Groovy Documentation